scala.tools.cmd.gen.AnyValReps

# AnyValRep

#### sealed abstract class AnyValRep extends AnyRef

Source
  AnyVals.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
AnyValNum, B, C, D, F, I, L, S, U, Z
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnyValRep
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AnyValRep(name: String, repr: Option[String], javaEquiv: String)

### Abstract Value Members

1. #### abstract def classLines: List[String]

2. #### abstract def objectLines: List[String]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AnyVals.AnyValRep to any2stringadd[AnyVals.AnyValRep] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AnyVals.AnyValRep, B)

   Implicit information
     This member is added by an implicit conversion from AnyVals.AnyValRep to ArrowAssoc[AnyVals.AnyValRep] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def assemble(decl: String, lines: List[String]): String

8. #### def boxUnboxImpls: Map[String, String]

9. #### def boxedName: String

10. #### def boxedSimpleName: String

11. #### def classDoc: String

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def commonClassLines: collection.immutable.List[String]

14. #### def ensuring(cond: (AnyVals.AnyValRep) ⇒ Boolean, msg: ⇒ Any): AnyVals.AnyValRep

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValRep to Ensuring[AnyVals.AnyValRep] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (AnyVals.AnyValRep) ⇒ Boolean): AnyVals.AnyValRep

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValRep to Ensuring[AnyVals.AnyValRep] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): AnyVals.AnyValRep

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValRep to Ensuring[AnyVals.AnyValRep] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): AnyVals.AnyValRep

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValRep to Ensuring[AnyVals.AnyValRep] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValRep to StringFormat[AnyVals.AnyValRep] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### def indent(s: String): String

25. #### def indentN(s: String): String

26. #### def interpolate(s: String): String

27. #### def interpolations: Map[String, String]

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### val javaEquiv: String

30. #### def lcname: String

31. #### def make(): String

32. #### def mkClass: String

33. #### def mkImports: String

34. #### def mkObject: String

35. #### val name: String

36. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### def objectDoc: String

40. #### val repr: Option[String]

41. #### def representation: String

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      AnyValRep → AnyRef → Any

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### def zeroRep: String

48. #### def →[B](y: B): (AnyVals.AnyValRep, B)

    Implicit information
      This member is added by an implicit conversion from AnyVals.AnyValRep to ArrowAssoc[AnyVals.AnyValRep] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AnyVals.AnyValRep to any2stringadd[AnyVals.AnyValRep]

### Inherited by implicit conversion StringFormat from AnyVals.AnyValRep to StringFormat[AnyVals.AnyValRep]

### Inherited by implicit conversion Ensuring from AnyVals.AnyValRep to Ensuring[AnyVals.AnyValRep]

### Inherited by implicit conversion ArrowAssoc from AnyVals.AnyValRep to ArrowAssoc[AnyVals.AnyValRep]

### Ungrouped